## kpublictransport 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM 5.91 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)
include(ECMQmlModule)

set(CMAKE_CXX_STANDARD 20)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPUBLICTRANSPORT
    VERSION_HEADER kpublictransport_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    SOVERSION 1
)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Quick)

if (QT_MAJOR_VERSION STREQUAL 6)
    find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Core5Compat)
endif()
if (QT_MAJOR_VERSION EQUAL "5" AND ANDROID)
    find_package(Qt5 5.15 REQUIRED COMPONENTS AndroidExtras)
endif()

if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Test Widgets)
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (you don't need this for distribution)")
if (NOT CMAKE_CROSSCOMPILING)
    find_package(PolyClipping)
    set_package_properties(PolyClipping PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for processing coverage area data from the Transport API Repository (you don't need this for distribution)")
endif()

if (NOT WIN32)
    find_package(Protobuf)
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

if (UNIX AND NOT ANDROID)
    find_package(KF${KF_MAJOR_VERSION}NetworkManagerQt)
    set_package_properties(KF${KF_MAJOR_VERSION}NetworkManagerQt PROPERTIES TYPE OPTIONAL PURPOSE "Onboard status detection.")
endif()
if (ANDROID)
    find_package(Gradle)
endif()

find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS I18n)

set(KPUBLICTRANSPORT_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/KPublicTransport)

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.102.0
    )

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPublicTransport")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPublicTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR} COMPONENT Devel)

install(EXPORT KPublicTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPublicTransportTargets.cmake)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPublicTransport_QCH
        FILE KPublicTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPublicTransportQchTargets.cmake\")")
endif()

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(osmtypetest.cpp LINK_LIBRARIES Qt::Test KOSM)
ecm_add_test(o5mparsertest.cpp LINK_LIBRARIES Qt::Test KOSM)

ecm_add_test(kgraphqlminimizertest.cpp LINK_LIBRARIES Qt::Test KGraphQL)

ecm_add_test(indexeddatatabletest.cpp LINK_LIBRARIES Qt::Test)

ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(jsonptest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(jsonpointertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(uicrailwaycoachtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(mergeutiltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(locationtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(linetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(departuretest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(journeytest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(journeyrequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(platformtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(notestest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(backendtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(linemetadatatest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(networkconfigtest.cpp LINK_LIBRARIES Qt::Test)
ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(locationhistorymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(platformlayouttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(navitiaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasmgateparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(hafasqueryparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(hafasvehiclelayoutparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasmgaterequesttest.cpp mocknetworkaccessmanager.cpp TEST_NAME hafasmgaterequesttest LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(efaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(efarequesttest.cpp mocknetworkaccessmanager.cpp TEST_NAME efarequesttest LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(deutschebahntest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(otpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(oebbparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ivvassparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(gbfsreadertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ojprequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ojpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(publictransportmanagertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(onboardstatustest.cpp LINK_LIBRARIES Qt::Test KPublicTransportOnboard Qt::Network)

=== src/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(knowledgedb)

add_library(KPublicTransport)


target_sources(KPublicTransport PRIVATE
    assetrepository.cpp
    journeyreply.cpp
    journeyrequest.cpp
    locationreply.cpp
    locationrequest.cpp
    manager.cpp
    reply.cpp
    requestcontext.cpp
    stopoverreply.cpp
    stopoverrequest.cpp
    vehiclelayoutreply.cpp
    vehiclelayoutrequest.cpp

    backends/abstractbackend.cpp
    backends/accessibilitycloudbackend.cpp
    backends/accessibilitycloudparser.cpp
    backends/cache.cpp
    backends/deutschebahnbackend.cpp
    backends/deutschebahnvehiclelayoutparser.cpp
    backends/efabackend.cpp
    backends/efaparser.cpp
    backends/efacompactparser.cpp
    backends/efamodeoftransport.cpp
    backends/efaxmlparser.cpp
    backends/hafasbackend.cpp
    backends/hafasparser.cpp
    backends/hafasmgatebackend.cpp
    backends/hafasmgateparser.cpp
    backends/hafasquerybackend.cpp
    backends/hafasqueryparser.cpp
    backends/hafasvehiclelayoutparser.cpp
    backends/ivvassbackend.cpp
    backends/ivvassparser.cpp
    backends/ivvassproductmap.cpp
    backends/navitiabackend.cpp
    backends/navitiaparser.cpp
    backends/navitiaphysicalmode.cpp
    backends/oebbbackend.cpp
    backends/oebbvehiclelayoutparser.cpp
    backends/openjourneyplannerbackend.cpp
    backends/openjourneyplannerparser.cpp
    backends/openjourneyplannerrequestbuilder.cpp
    backends/opentripplannergraphqlbackend.cpp
    backends/opentripplannerparser.cpp
    backends/opentripplannerrestbackend.cpp
    backends/otp/otp.qrc
    backends/scopedxmlstreamreader.cpp

    datatypes/attribution.cpp
    datatypes/attributionutil.cpp
    datatypes/backend.cpp
    datatypes/coveragearea.cpp
    datatypes/disruption.cpp
    datatypes/equipment.cpp
    datatypes/equipmentutil.cpp
    datatypes/individualtransport.cpp
    datatypes/journey.cpp
    datatypes/journeyutil.cpp
    datatypes/json.cpp
    datatypes/line.cpp
    datatypes/lineutil.cpp
    datatypes/load.cpp
    datatypes/loadutil.cpp
    datatypes/location.cpp
    datatypes/locationutil.cpp
    datatypes/mergeutil.cpp
    datatypes/notesutil.cpp
    datatypes/path.cpp
    datatypes/platform.cpp
    datatypes/platformutils.cpp
    datatypes/rentalvehicle.cpp
    datatypes/rentalvehicleutil.cpp
    datatypes/stopover.cpp
    datatypes/stopoverutil.cpp
    datatypes/timeutil.cpp
    datatypes/variant.cpp
    datatypes/vehicle.cpp

    gbfs/gbfs.cpp
    gbfs/gbfs.qrc
    gbfs/gbfsbackend.cpp
    gbfs/gbfsjob.cpp
    gbfs/gbfsreader.cpp
    gbfs/gbfsservice.cpp
    gbfs/gbfsstore.cpp
    gbfs/gbfsvehicletypes.cpp

    geo/convexhull.cpp
    geo/geojson.cpp
    geo/polylinedecoder.cpp

    gtfs/hvt.cpp

    ifopt/ifoptutil.cpp

    json/jsonp.cpp
    json/jsonpointer.cpp

    knowledgedb/asset-attributions.qrc
    knowledgedb/linemetadata.cpp

    layout/platformlayout.cpp

    models/abstractquerymodel.cpp
    models/backendmodel.cpp
    models/journeyquerymodel.cpp
    models/locationhistorymodel.cpp
    models/locationquerymodel.cpp
    models/pathmodel.cpp
    models/stopoverquerymodel.cpp
    models/vehiclelayoutquerymodel.cpp

    networks/networks.qrc
    networks/certs/network_certs.qrc

    uic/uicrailwaycoach.cpp
    uic/uicstationcode.cpp
)
ecm_qt_declare_logging_category(KPublicTransport
    HEADER logging.h
    IDENTIFIER KPublicTransport::Log
    CATEGORY_NAME org.kde.kpublictransport
    DESCRIPTION "KPublicTransport"
    EXPORT KPUBLICTRANSPORT
)

generate_export_header(KPublicTransport BASE_NAME KPublicTransport)
set_target_properties(KPublicTransport PROPERTIES
    VERSION ${KPUBLICTRANSPORT_VERSION}
    SOVERSION ${KPUBLICTRANSPORT_SOVERSION}
    EXPORT_NAME KPublicTransport
)
target_include_directories(KPublicTransport PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KPublicTransport INTERFACE "$<INSTALL_INTERFACE:${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}>")
target_link_libraries(KPublicTransport
    PUBLIC
        Qt::Gui
    PRIVATE
        KGraphQL
        KOSM
        Qt::Network
        ZLIB::ZLIB
)

if (TARGET Qt6::Core5Compat)
    target_link_libraries(KPublicTransport PRIVATE Qt6::Core5Compat) # QTextCodec
endif()

ecm_generate_headers(KPublicTransport_FORWARDING_HEADERS
    HEADER_NAMES
        JourneyReply
        JourneyRequest
        LocationReply
        LocationRequest
        Manager
        Reply
        StopoverReply
        StopoverRequest
        VehicleLayoutReply
        VehicleLayoutRequest
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_HEADERS
)
# # ### for testing only
ecm_generate_headers(KPublicTransport_Backends_FORWARDING_HEADERS
    HEADER_NAMES
        Cache
        HafasMgateParser
        NavitiaParser
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Backends_HEADERS
    RELATIVE backends
)
ecm_generate_headers(KPublicTransport_Datatypes_FORWARDING_HEADERS
    HEADER_NAMES
        Attribution
        Backend
        CoverageArea
        Datatypes
        Disruption
        Equipment
        IndividualTransport
        Journey
        Line
        Load
        Location
        RentalVehicle
        Path
        Platform
        Stopover
        Vehicle
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Datatypes_HEADERS
    RELATIVE datatypes
)
ecm_generate_headers(KPublicTransport_Layout_FORWARDING_HEADERS
    HEADER_NAMES
        PlatformLayout
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Layout_HEADERS
    RELATIVE layout
)
ecm_generate_headers(KPublicTransport_Models_FORWARDING_HEADERS
    HEADER_NAMES
        AbstractQueryModel
        BackendModel
        JourneyQueryModel
        LocationHistoryModel
        LocationQueryModel
        PathModel
        StopoverQueryModel
        VehicleLayoutQueryModel
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Models_HEADERS
    RELATIVE models
)

install(TARGETS KPublicTransport EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT KPUBLICTRANSPORT
    FILE org_kde_kpublictransport.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
install(FILES
    ${KPublicTransport_FORWARDING_HEADERS}
    ${KPublicTransport_Datatypes_FORWARDING_HEADERS}
    ${KPublicTransport_Layout_FORWARDING_HEADERS}
    ${KPublicTransport_Models_FORWARDING_HEADERS}
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/KPublicTransport
)
install(FILES
    ${KPublicTransport_HEADERS}
    ${KPublicTransport_Datatypes_HEADERS}
    ${KPublicTransport_Layout_HEADERS}
    ${KPublicTransport_Models_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_export.h
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/kpublictransport
)


if (BUILD_QCH)
    ecm_add_qch(
        KPublicTransport_QCH
        NAME KPublicTransport
        BASE_NAME KPublicTransport
        VERSION ${RELEASE_SERVICE_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${KPublicTransport_HEADERS}
        ${KPublicTransport_Datatypes_HEADERS}
        ${KPublicTransport_Models_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPUBLICTRANSPORT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/onboard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (TARGET KF${KF_MAJOR_VERSION}::NetworkManagerQt)
    set(HAVE_NM TRUE)
endif()

add_library(KPublicTransportOnboard)
target_sources(KPublicTransportOnboard PRIVATE
    onboardstatus.cpp
    onboardstatusmanager.cpp
    positiondata.cpp
    wifimonitor.cpp

    backend/abstractonboardbackend.cpp
    backend/restonboardbackend.cpp
    backend/scriptedrestonboardbackend.cpp

    data/data.qrc
)

if (ANDROID)
    target_sources(KPublicTransportOnboard PRIVATE wifimonitor_android.cpp)
    add_subdirectory(android)
elseif (HAVE_NM)
    target_sources(KPublicTransportOnboard PRIVATE wifimonitor_nm.cpp)
else()
    message("WARNING: No Wifi monitoring implementation available on this platform!")
    target_sources(KPublicTransportOnboard PRIVATE wifimonitor_dummy.cpp)
endif()

ecm_qt_declare_logging_category(KPublicTransportOnboard
    HEADER logging.h
    IDENTIFIER KPublicTransport::Log
    CATEGORY_NAME org.kde.kpublictransport.onboard
    DESCRIPTION "KPublicTransport Onboard API"
    EXPORT KPUBLICTRANSPORTONBOARD
)

generate_export_header(KPublicTransportOnboard BASE_NAME KPublicTransportOnboard)
set_target_properties(KPublicTransportOnboard PROPERTIES
    VERSION ${KPUBLICTRANSPORT_VERSION}
    SOVERSION ${KPUBLICTRANSPORT_SOVERSION}
)
target_include_directories(KPublicTransportOnboard PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KPublicTransportOnboard INTERFACE "$<INSTALL_INTERFACE:${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}>")
target_link_libraries(KPublicTransportOnboard
    PUBLIC
        KPublicTransport
    PRIVATE
        Qt::Network
        Qt::Qml
        KF${KF_MAJOR_VERSION}::I18nLocaleData
)
if (HAVE_NM)
    target_link_libraries(KPublicTransportOnboard PRIVATE KF${KF_MAJOR_VERSION}::NetworkManagerQt)
endif()
if (ANDROID)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(KPublicTransportOnboard PRIVATE Qt5::AndroidExtras)
    else()
        target_link_libraries(KPublicTransportOnboard PRIVATE Qt6::CorePrivate)
    endif()
endif()

ecm_generate_headers(KPublicTransportOnboard_FORWARDING_HEADERS
    HEADER_NAMES
        OnboardStatus
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransportOnboard_HEADERS
)
install(TARGETS KPublicTransportOnboard EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT KPUBLICTRANSPORTONBOARD
    FILE org_kde_kpublictransport_onboard.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
install(FILES
    ${KPublicTransportOnboard_FORWARDING_HEADERS}
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/KPublicTransport
)
install(FILES
    ${KPublicTransportOnboard_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpublictransportonboard_export.h
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/kpublictransport
)

=== debian/changelog ===
kpublictransport (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:54 +0000

kpublictransport (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:15:58 +0000

kpublictransport (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:14:17 -0700

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               libkf5i18n-dev,
               libkf5networkmanagerqt-dev,
               libpolyclipping-dev,
               libprotobuf-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15),
               qtdeclarative5-dev (>= 5.15),
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Rules-Requires-Root: no

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (binary)
 A library providing a public transport API.
 .
 This package contains the main data.

Package: libkpublictransportonboard1
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (binary)
 A library providing a public transport API.
 .
 This package contains the main data.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: qml-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends}
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_test:
	#Disable autotests

## kpublictransport 24.08.2

=== debian/changelog ===
kpublictransport (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:36 -0500

kpublictransport (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Ship qml package in dev packge.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 13:35:36 +0200

kpublictransport (24.08.1-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Fix creation of virtual package.
  * Add lintian-override for usage of virtual package.

 -- Sandro Knauß <hefee@debian.org>  Sat, 28 Sep 2024 23:20:41 +0200

kpublictransport (24.08.1-2) experimental; urgency=medium

  * Team upload.
  * Update Standards-Version (no changes needed).

 -- Sandro Knauß <hefee@debian.org>  Wed, 25 Sep 2024 22:31:44 +0200

kpublictransport (24.08.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (24.08.1.
  * Update build-deps and deps with the info from cmake.
  * Update copryright file.
  * Switch to Qt6:
    - Build qml6 module
    - Update install paths to Qt6
    - update B-ds to Qt6/KF6.
  * Use virtual packages to bundle KDEPIM.

 -- Sandro Knauß <hefee@debian.org>  Wed, 25 Sep 2024 00:27:03 +0200

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.245~),
               libkf6i18n-dev,
               libkf6networkmanagerqt-dev,
               libprotobuf-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 5.15~),
               qt6-declarative-dev (>= 6.5~),
               tzdata <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Rules-Requires-Root: no

Package: libkpublictransport1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport
 A library providing a public transport API.
 .
 This package contains the main data.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends}
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         qml6-module-org-kde-kpublictransport (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: libkpublictransportonboard1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport onboard system
 A library providing a public transport API.
 .
 This package contains the onboard library.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

## kpublictransport 24.12.0

=== debian/changelog ===
kpublictransport (24.12.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:07:06 +0100

kpublictransport (24.12.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 21:56:57 +0100

kpublictransport (24.08.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 14:39:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 5.245~),
                libkf6i18n-dev,
                libkf6networkmanagerqt-dev,
                libprotobuf-dev,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 5.15~),
+               qml6-module-org-kde-kirigami,
+               qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                tzdata <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
 Rules-Requires-Root: no
 
 Package: libkpublictransport1
@@ -40,7 +43,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: kde
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Library to assist with accessing public transport (data files)
  The data files for a public transport API
  .
@@ -75,7 +78,7 @@
 Architecture: any
 Multi-Arch: same
 Section: kde
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Library to assist with accessing public transport (qml plugin)
  A QtQuick plugin providing a public transport API
  .

## kpublictransport 24.12.3

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(querytest querytest.cpp)
target_link_libraries(querytest Qt::Test KPublicTransport)
add_custom_target(run-querytest COMMAND querytest)

add_executable(departurequery departurequery.cpp departurequery.qrc)
target_link_libraries(departurequery KPublicTransport Qt::Quick Qt::Widgets KF6::I18n)

add_executable(journeyquery journeyquery.cpp journeyquery.qrc)
target_link_libraries(journeyquery KPublicTransport Qt::Quick Qt::Widgets KF6::I18n)

add_executable(locationquery locationquery.cpp locationquery.qrc)
target_link_libraries(locationquery KPublicTransport Qt::Quick Qt::Widgets)

add_executable(locationcompleter locationcompleter.cpp)
target_link_libraries(locationcompleter KPublicTransport Qt::Widgets)

add_executable(gbfsdiscover gbfsdiscover.cpp)
target_link_libraries(gbfsdiscover KPublicTransport Qt::Network)

add_executable(graphql-cli graphql-cli.cpp)
target_link_libraries(graphql-cli KGraphQL)

add_executable(overpassql-cli overpassql-cli.cpp)
target_link_libraries(overpassql-cli KOSM)

=== debian/changelog ===
kpublictransport (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:31 -0500

kpublictransport (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 22:57:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
 Build-Depends: cmake (>= 3.16),
@@ -23,8 +24,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
 Rules-Requires-Root: no
 
 Package: libkpublictransport1

## kpublictransport 25.04.2

=== debian/changelog ===
kpublictransport (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Treat neither a positive nor a negative cache hit as missing backend.
    - Adapt test data to different storage format in 25.04.
    - Fix ÖBB onboard API journey data parsing and extract track information.
    - Add QML module dependency information.
    - Fix MOTIS v2 admin area parsing.
  * New upstream release (25.04.2).
    - Fix OTP arrival platform parsing.
    - Fix parsing of EFA operator names.
    - Continue backend search until we find at least one that covers both
    sides.
    - Consider all higher coverage types as well for journey coverage checks.
    - Make line asset loading also work for stopovers without coordinates.
    - Retain trip identifiers in DB trip queries.
    - Add onboard API support for Ouigo ES.
    - Check type before reading a numeric JSON value.
    - Include Estonia in DB's coverage area. (kde#504042)
    - Make mode filters work on the bwegt EFA endpoint.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Jun 2025 00:17:59 +0200

kpublictransport (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:25 +0200

## kpublictransport 25.04.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)
include(ECMQmlModule)

set(CMAKE_CXX_STANDARD 20)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPUBLICTRANSPORT
    VERSION_HEADER kpublictransport_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt6 6.5 REQUIRED COMPONENTS Quick)

if (BUILD_TESTING)
    find_package(Qt6 6.5 REQUIRED COMPONENTS Test Widgets)
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (you don't need this for distribution)")
if (NOT CMAKE_CROSSCOMPILING)
    find_package(PolyClipping)
    set_package_properties(PolyClipping PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for processing coverage area data from the Transport API Repository (you don't need this for distribution)")
endif()

if (NOT WIN32)
    find_package(Protobuf)
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

if (UNIX AND NOT ANDROID)
    find_package(KF6NetworkManagerQt)
    set_package_properties(KF6NetworkManagerQt PROPERTIES TYPE OPTIONAL PURPOSE "Onboard status detection.")
endif()
if (ANDROID)
    find_package(Gradle)
endif()

find_package(KF6 6.11 REQUIRED COMPONENTS I18n)

set(KPUBLICTRANSPORT_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/KPublicTransport)

ecm_set_disabled_deprecation_versions(QT 6.7 KF 6.11.0)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()



set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPublicTransport")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR} COMPONENT Devel)

install(EXPORT KPublicTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPublicTransportTargets.cmake)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPublicTransport_QCH
        FILE KPublicTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPublicTransportQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPublicTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(jsontest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(jsonptest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(jsonpointertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -30,8 +31,11 @@
 ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(locationhistorymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(platformlayouttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(featuretest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(tripreplytest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 
 ecm_add_test(navitiaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(hafasparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(hafasmgateparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(hafasqueryparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(hafasvehiclelayoutparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -39,12 +43,14 @@
 ecm_add_test(efaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(efarequesttest.cpp mocknetworkaccessmanager.cpp TEST_NAME efarequesttest LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(deutschebahntest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(deutschebahnparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(otpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(oebbparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ivvassparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(gbfsreadertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ojprequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ojpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(motis2parsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 
 ecm_add_test(publictransportmanagertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

=== src/onboard/android/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

gradle_add_aar(publictransport_onboard_aar BUILDFILE ${CMAKE_CURRENT_SOURCE_DIR}/build.gradle NAME KPublicTransportOnboard)
gradle_install_aar(publictransport_onboard_aar DESTINATION jar)

install(FILES KPublicTransportOnboard-android-dependencies.xml DESTINATION ${KDE_INSTALL_LIBDIR} RENAME KPublicTransportOnboard_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml)

=== debian/changelog ===
kpublictransport (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Ignore empty path sections when computing the bounding box.
    - Update Transitous coverage data.
    - Parse more DB vehicle layout feature types.
    - Fix DE-NI Efa endpoint URL.
    - Update Transitous coverage data.
    - NRW ZKS has a working SSL certificate meanwhile.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Jul 2025 15:08:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
-Build-Depends: cmake (>= 3.16),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 5.245~),
-               libkf6i18n-dev,
+               cmake (>= 3.16),
+               extra-cmake-modules (>= 6.0~),
+               libkf6i18n-dev (>= 6.11~),
                libkf6networkmanagerqt-dev,
                libprotobuf-dev,
                pkg-kde-tools,
@@ -22,10 +21,10 @@
                qt6-declarative-private-dev,
                tzdata <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
 Rules-Requires-Root: no
 
 Package: libkpublictransport1

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/kpublictransport-([\d.]+)\.tar\.xz

## kpublictransport 25.07.80

=== debian/changelog ===
kpublictransport (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Build depend on kirigami-addons-dev

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:54 +0100

kpublictransport (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:41 +0100

## kpublictransport 25.07.90

=== debian/changelog ===
kpublictransport (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:39 +0100
